Bug 188800 - CVE-2006-0884 JavaScript execution in mail when forwarding in-line
CVE-2006-0884 JavaScript execution in mail when forwarding in-line
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mozilla (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Ben Levenson
reported=20060412,source=mozilla,emba...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-12 22:27 EDT by Josh Bressers
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: FEDORA-2006-487
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-24 12:21:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-04-12 22:27:15 EDT
JavaScript execution in mail when forwarding in-line


Georgi Guninski reports that forwarding mail in-line while using the default
HTML "rich mail" editor will execute JavaScript embedded in the e-mail
message. Forwarding mail in-line is not the default setting but it is easily
accessed through the "Forward As" menu item.

This JavaScript runs with the full privileges of the client and could be
used to install malware or send spam.

In Thunderbird 1.0.7 and below and Mozilla Suite 1.7.12 and below JavaScript
is also executed when you reply to a mail, though limited to the sandbox of
the  message.  This  script  could spy on or alter the message you are
composing.

Workaround

Switch to "plain text" mail composition, this vulnerability only affects
HTML mail composition (the default). On the "Composition and Addressing" tab
of Thunderbird's Account Settings dialog uncheck the "Compose messages in
HTML format" option to compose messages in plain text.

References

[1]https://bugzilla.mozilla.org/show_bug.cgi?id=319858


This issue also affects FC4
Comment 1 Josh Bressers 2006-04-24 08:49:40 EDT
Lifting embargo
Comment 2 David Eisenstein 2006-06-24 12:21:01 EDT
This bug was fixed for FC4 in Fedora Update FEDORA-2006-488
<http://www.redhat.com/archives/fedora-package-announce/2006-May/msg00019.html>.

This bug was fixed for FC5 in Fedora Update FEDORA-2006-487
<http://www.redhat.com/archives/fedora-package-announce/2006-May/msg00018.html>.

Note You need to log in before you can comment on or make changes to this bug.